Page MenuHomePhabricator

[Driver] Add multiclass OptInFlag and OptOutFlag to simplify boolean option definition
ClosedPublic

Authored by MaskRay on May 30 2020, 4:42 PM.

Diff Detail

Event Timeline

MaskRay created this revision.May 30 2020, 4:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 30 2020, 4:42 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Seems like a reasonable direction - presumably every flag (that has a similar form in both driver and frontend) would be classified as one of these (opt in or opt out)? The ones you've migrated are just a sample/example?

dblaikie accepted this revision.Jun 1 2020, 12:08 PM

Oh, meant to approve on the last.

This revision is now accepted and ready to land.Jun 1 2020, 12:08 PM
echristo accepted this revision.Jun 2 2020, 12:52 PM

This looks good to me. Might want to open a project around migrating everything.

This revision was automatically updated to reflect the committed changes.